Jump to content
kymation

[Addon} Theme Switcher

Recommended Posts

Found the error in the stylesheet, wrong version jquery-ui-1.8.22.css instead of jquery-ui-1.8.23.css

 

Thxs

Edited by pederb

-Peder Beckman-

Kool Kat Jazz Records

Share this post


Link to post
Share on other sites

Per the read me this is what im working with:

 

osCommerce Online Merchant v2.3.3

Theme Switcher 1.4.1

 

Ive spent prob 6 or 7 hors trying to figure out how to install this theme switcher and use a theme from theme roller but I cant figure out how to or where to install theme switcher. I have read the readme file from top to bottom several times and im still lost...

 

What has me really confused is the installation instructions says "Upload the files listed under New Files below to your store, keeping the directory structure the same as the installed copy of your store. "

 

and to install:

2.2.3 New Files

catalog/developertool.js.php

catalog/developertool.php

catalog/images/fflogo.png

catalog/images/icon_bookmarklet_dragger.gif

catalog/includes/languages/english/modules/header_tags/ht_theme_switcher.php

catalog/includes/modules/header_tags/ht_theme_switcher.php

 

and to mod:

2.2.4 Modified Files

catalog/includes/template_top.php (Delete lines and move lines)

 

But I do not have a directory called catalog already so where do i put these files?

I have also read through the other thread about using themes without theme switcher but all that did was remove all the buttons and bars from my page.

Edited by WizardOI

Share this post


Link to post
Share on other sites

The default installation of osCommerce is in a folder named catalog. If yours is installed somewhere else, change catalog to the name of the folder where your osCommerce installation is located.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

The default installation of osCommerce is in a folder named catalog. If yours is installed somewhere else, change catalog to the name of the folder where your osCommerce installation is located.

 

Regards

Jim

 

Thanks I was just over thinking it. Now I just have to figure out what I screwed up in the theme install because all the boxes and side panels are correct but my background stayed white LOL

Share this post


Link to post
Share on other sites

osCommerce doesn't use the jQuery UI Content background for the whole site, just for some of the boxes. You'll have to change the stylesheet.css to change the entire site background.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

osCommerce doesn't use the jQuery UI Content background for the whole site, just for some of the boxes. You'll have to change the stylesheet.css to change the entire site background.

 

Regards

Jim

 

Oh, well that explains that, I thought I did something wrong. Thanks again. Now im off to search for how to do that.

Share this post


Link to post
Share on other sites

Hello! i need some help ... i created a theme on theme roller. Then i downloaded theme switcher and copied in the folder modules/header_tags/ but i cant see it on my oscommerce....:(...i think it's because the theme siwtcher file is on tar.gz and i think it needs to be on .php because all of them are in .php....so anyone can help me....:D

Share this post


Link to post
Share on other sites

You need to unpack the Theme Switcher download, then follow the instructions in the User's Manual in that package.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

That error message says there is a file missing. Is it? What does the Admin side look like -- are all of the check marks green?

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

No there aren't! in the admin panel there are the same message and a lot of red x ....but i don't know where to introduce the code in the error message or how to fix it.... because it didn't appear the theme i created

Share this post


Link to post
Share on other sites

The error message tells you that /includes/languages/english/modules/header_tags/ht_theme_switcher.php is missing. Upload that file from the Theme Switcher package. Then go look at the rest of the red Xes. Refer to the instructions for each one of those.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

What about this one ?? both of them are there but it can't read them...what should i do ...should i replace them??? " Fatal error: Cannot redeclare class ht_theme_switcher in C:\wamp\www\Magazin\oscommerce-2.3.3\catalog\includes\modules\header_tags\ht_theme_switcher.php on line 14

 

require( 'C:\wamp\www\Magazin\oscommerce-2.3.3\catalog\includes\template_top.php' )

include( 'C:\wamp\www\Magazin\oscommerce-2.3.3\catalog\includes\modules\header_tags\ht_theme_switcher.php' )"

Edited by mdk_adelk

Share this post


Link to post
Share on other sites

That means you uploaded the wrong file to /includes/languages/english/modules/header_tags/ht_theme_switcher.php. Try again. The files are in the correct directories in the Theme Switcher package.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

I succes!!! now i need jquery and query ui cause it's missing...where i can download them....and it says with red mark that "The theme CSS file is the wrong version or missing!"

Edited by mdk_adelk

Share this post


Link to post
Share on other sites

You can get the jQuery files from the jQuery UI site. If you have created a new theme, the files are in the theme package that you already downloaded.

 

Setting the jQuery and jQuery UI version numbers in the Theme Switcher admin should fix the missing theme error as well.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Read the instructions in the Theme Switcher package. They tell you exactly how to do this.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Thanks for your patience.... i succeded with jquerty and jquerty ui....but the theme css file it doesn't found it ....i renamed it with the same version with jquerty ui ....but still missing... i added the theme directory with jquerty file modify with css ....but still no luck....

Share this post


Link to post
Share on other sites

Create a new theme using Themeroller (see the jQuery UI site I linked above.) Install that new theme using the instructions in the User's Manual for Theme Switcher. Select that theme using Theme Switcher in your Admin and it will work.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Then you did something wrong. I can't tell from here what you did, but this always works if you do it right. Go through the instructions again and check every step.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

I downloaded a theme from jqueryui.com and the folder js has jquery-1.8.2.js, jquery-ui-1.9.0.custom.js, and jquery-ui-1.9.0.custom.min.js. It doesn't have jquery-1.9.0.min.js as suggested by the theme roller documentation. Have I done something wrong? I'm using the most recent version of theme roller. And incidentally, it doesn't actually change themes for me. :(

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×